Re: Which OpenStack version is supported by Cloud Foundry?

Marco Voelz
 

Hey,

 

Thanks for pointing out that the docs at per https://bosh.io/docs/init-openstack/ are outdated. We will fix that hopefully soon and link to the correct documents.

The information at  https://github.com/cloudfoundry/bosh-openstack-cpi-release#supported-openstack-versions is correct: we test against the officially supported versions of OpenStack.

 

Let me know if you have further questions.

 

Warm regards

Marco

 

 

From: <cf-bosh@...> on behalf of R M <rishi.investigate@...>
Reply-To: "cf-bosh@..." <cf-bosh@...>
Date: Friday, 8. February 2019 at 23:31
To: "cf-bosh@..." <cf-bosh@...>
Subject: [cf-bosh] Which OpenStack version is supported by Cloud Foundry?

 

Folks,

 

I am trying to determine which version of OpenStack is supported by Cloud Foundry.  As per https://bosh.io/docs/init-openstack/ it mentions Liberty/Mikata/Newton as being supported and actively tested.  Does this still hold as all of the mentioned releases are EOL?

 

As per https://github.com/cloudfoundry/bosh-openstack-cpi-release#supported-openstack-versions - it mentions upstream OpenStack policy which seems to contradict with what is listed on bosh.io.

 

Thanks for any insight you can provide.

 

 

Join cf-bosh@lists.cloudfoundry.org to automatically receive all group messages.